org.jfree.base.log

## Class DefaultLog

- java.lang.Object
- - org.jfree.util.Log
  - - org.jfree.base.log.DefaultLog

-     public class DefaultLog
      extends Log

  A default log implementation. The Log class defines how to create Logger-contexts and how to forward messages to the logtargets.
  Author:
    Thomas Morgner

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jfree.util.Log

      `Log.SimpleMessage`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultLog()` Creates a new log.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTarget(LogTarget target)` Adds a log target to this facility.
    `static DefaultLog` | `getDefaultLog()` Returns the default log.
    `void` | `init()` Initializes the log system after the log module was loaded and a log target was defined.
    `static void` | `installDefaultLog()` Makes this implementation the default instance.

    - ### Methods inherited from class org.jfree.util.Log

      `createContext, createContext, debug, debug, defineLog, doLog, doLog, error, error, getDebuglevel, getInstance, getTargets, info, info, internalCreateContext, isDebugEnabled, isErrorEnabled, isInfoEnabled, isWarningEnabled, log, log, removeTarget, replaceTargets, setDebuglevel, warn, warn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLog

          protected DefaultLog()

      Creates a new log.

  - ### Method Detail

    - #### init

          public void init()

      Initializes the log system after the log module was loaded and a log target was defined. This is the second step of the log initialisation.
      Overrides:
        `init` in class `Log`

    - #### addTarget

          public void addTarget(LogTarget target)

      Adds a log target to this facility. Log targets get informed, via the LogTarget interface, whenever a message is logged with this class.
      Overrides:
        `addTarget` in class `Log`
      Parameters:
        `target` - the target.

    - #### getDefaultLog

          public static DefaultLog getDefaultLog()

      Returns the default log.
      Returns:
        The default log.

    - #### installDefaultLog

          public static void installDefaultLog()

      Makes this implementation the default instance.